%% Network
clear all
close all
clc
M    = 30; % agents
t    = linspace(0,2*pi,M+1); % vector t [0,2*pi];
z    = cos(t(1:M)); 
y    = sin(t(1:M));
R    = [z',y'];
figure(1)
plot(z,y,'ro')
hold on

% I define a network in a random

Q = 1*randi([0 1000],M);
Q = real(Q>890);  % adjacency matrix of a direct graph
Q  = (Q+Q')/2;   % symmetrizing the direct graph into a undirect graph

gplot(Q,R)

